#
# spec file for package qlvnictools (Version 0.0.1 )
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
Name:           qlvnictools
Version:        0.0.1
Release:        8%{?dist}
Summary:        VNIC ULP service
Group:          System Environment/Base
License:        GPLv2
URL:            http://www.openfabrics.org
Source: http://www.openfabrics.org/downloads/qlvnictools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ibvexdmtools
ExclusiveArch:  i386 x86_64 ia64 ppc ppc64
%description
VNIC ULP service

%package -n ibvexdmtools 
Group:          System/Console
Summary:        Tools for VNIC/IB
%description -n ibvexdmtools
In conjunction with the kernel ib_vnic driver, ibvexdmtools allows you
to discover and use QLogic Virtual NIC devices via the VNIC protocol
over InfiniBand.

%prep
%setup -q

%build
pushd ibvexdmtools
%configure
make
popd

%install
install -D qlgc_vnic ${RPM_BUILD_ROOT}%{_initrddir}/qlgc_vnic
install -D qlgc_vnic_parser.pl ${RPM_BUILD_ROOT}%{_sbindir}/qlgc_vnic_parser.pl
install -D qlogic_vnic.cfg.sample ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/qlogic_vnic.cfg
pushd ibvexdmtools
%makeinstall
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_initrddir}/qlgc_vnic
%{_sbindir}/qlgc_vnic_parser.pl
%{_sysconfdir}/ofed/qlogic_vnic.cfg

%files -n ibvexdmtools
%defattr(-,root,root)
%doc ibvexdmtools/NEWS ibvexdmtools/ChangeLog
%{_sbindir}/ibvexdm

%changelog
* Sat Apr 05 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-8
- Bump n-v-r to make it higher than previously released package

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-2
- Was missing the dist tag on the release
- Also needed an exclusivearch tag

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.0.1-1
- Initial import into Red Hat repo management
- Related: bz428197

* Thu Jul 12 2007 - hvogel@suse.de
- move the init script and the config to the right place
* Tue Jul 03 2007 - hvogel@suse.de
- Initial Package, Version 0.0.1
